<h2>Templated Form</h2>
<hr />
<form #form="ngForm" (ngSubmit)="SaveData(form)">
    <div class="mb-3">
        <label for="" class="form-label">Name</label>
        <input type="text" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control" required />
        <div class="text-danger" *ngIf="name.errors &&(form.submitted || name.touched)">
            Please Enter Name
        </div>
    </div>
    <div class="mb-3">
        <label for="" class="form-label">Username</label>
        <input type="text" name="username" #username="ngModel" [(ngModel)]="user.username" class="form-control" required
            minlength="3" />
        <div class="text-danger" *ngIf="username.errors &&(form.submitted || username.touched)">
            <span [hidden]="!username.errors['required']">Please Enter Username</span>
            <span [hidden]="!username.errors['minlength']">Username must have atleast 3 characters</span>
        </div>
    </div>
    <div class="mb-3">
        <label for="" class="form-label">Email</label>
        <input type="text" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control" required email />
        <div class="text-danger" *ngIf="email.errors &&(form.submitted || email.touched)">
            <span [hidden]="!email.errors['required']">Please Enter Email</span>
            <span [hidden]="!email.errors['email']">Please Enter Correct Email</span>
        </div>
    </div>
    <div class="mb-3">
        <label for="" class="form-label">Password</label>
        <input type="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control"
            required />
        <div class="text-danger" *ngIf="password.errors &&(form.submitted || password.touched)">
            <span [hidden]="!password.errors['required']">Please Enter Password</span>
        </div>
    </div>
    <div class="mb-3">
        <label for="" class="form-label">Confirm Password</label>
        <input type="password" name="confirmPassword" #confirmPassword="ngModel" [(ngModel)]="user.confirmPassword"
            class="form-control" required />
        <div class="text-danger" *ngIf="confirmPassword.errors &&(form.submitted || confirmPassword.touched)">
            <span [hidden]="!confirmPassword.errors['required']">Please Enter Confirm Password</span>
        </div>
    </div>
    <div class="mb-3">
        <label for="" class="form-label">Contact</label>
        <input type="text" name="contact" #contact="ngModel" [(ngModel)]="user.contact" class="form-control"
            pattern="^[789]\d{9}$" />
        <div class="text-danger" *ngIf="contact.errors &&(form.submitted || contact.touched)">
            <span [hidden]="!contact.errors['pattern']">Please Enter Correct No.</span>
        </div>
    </div>
    <div class="mb-3">
        <input type="submit" value="SignUp" class="btn btn-primary" />
    </div>
</form>
